program Defence;

uses
  Forms,
  main_ in 'main_.pas' {main},
  vfm in 'vfm.pas',
  variables in 'variables.pas',
  constants in 'constants.pas',
  heights_map in 'heights_map.pas',
  units in 'units.pas',
  path_map in 'path_map.pas',
  buildings in 'buildings.pas',
  loading in 'loading.pas',
  saving in 'saving.pas',
  time in 'time.pas',
  particles in 'particles.pas',
  global in 'global.pas',
  respawns in 'respawns.pas',
  pathfinding in 'pathfinding.pas',
  font in 'font.pas',
  creation in 'creation.pas',
  fullscreen in 'fullscreen.pas',
  mini_map in 'mini_map.pas',
  flat_button in 'flat_button.pas',
  gui in 'gui.pas',
  towers_params in 'towers_params.pas',
  files_names in 'files_names.pas',
  upgrades in 'upgrades.pas',
  upgrade_window in 'upgrade_window.pas',
  launcher in 'launcher.pas' {launcher_},
  options in 'options.pas' {options_},
  highscores in 'highscores.pas' {highscores_},
  new_record in 'new_record.pas' {new_record_};

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'Defence by grouzd)Ev';
  Application.HelpFile := 'help.html';
  Application.CreateForm(Tlauncher_, launcher_);
  Application.CreateForm(Tmain, main);
  Application.CreateForm(Toptions_, options_);
  Application.CreateForm(Thighscores_, highscores_);
  Application.CreateForm(Tnew_record_, new_record_);
  Application.Run;
end.
